更新 networkIPv4ConfigurationManagementCondition

命名空间:microsoft.graph

重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。

注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证

更新 networkIPv4ConfigurationManagementCondition 对象 的属性。

先决条件

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) DeviceManagementConfiguration.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 DeviceManagementConfiguration.ReadWrite.All

HTTP 请求

PATCH /deviceManagement/managementConditions/{managementConditionId}
PATCH /deviceManagement/managementConditions/{managementConditionId}/managementConditionStatements/{managementConditionStatementId}/managementConditions/{managementConditionId}

请求标头

标头
Authorization Bearer <token>。必需。
接受 application/json

请求正文

在请求正文中,提供 networkIPv4ConfigurationManagementCondition 对象的 JSON 表示形式。

下表显示创建 networkIPv4ConfigurationManagementCondition 时所需的属性

属性 类型 说明
id String 管理条件的唯一标识符。 创建时分配的系统生成值。 继承自 managementCondition
唯一名称 String 管理条件的唯一名称。 在管理条件表达式中使用。 继承自 managementCondition
displayName String 管理员定义的管理条件名称。 继承自 managementCondition
说明 String 管理员定义的管理条件说明。 继承自 managementCondition
createdDateTime DateTimeOffset 创建管理条件的时间。 生成的服务器端。 继承自 managementCondition
modifiedDateTime DateTimeOffset 上次修改管理条件的时间。 更新的服务器端。 继承自 managementCondition
eTag String 管理条件的 ETag。 更新的服务器端。 继承自 managementCondition
applicablePlatforms devicePlatformType 集合 此管理条件的适用平台。 继承自 managementCondition。 可取值为:androidandroidForWorkiOSmacOSwindowsPhone81windows81AndLaterwindows10AndLaterandroidWorkProfileunknown
ipV4Prefix String 要连接到的 IPv4 子网。 例如 10.0.0.0/8
ipV4Gateway String IPv4 网关地址。 例如 10.0.0.0
ipV4DHCPServer String 适配器的 DHCP 服务器的 IPv4 地址。
ipV4DNSServerList String collection 为适配器配置的 IPv4 DNS 服务器。
dnsSuffixList String collection 当前网络的有效 DNS 后缀。 例如 seattle.contoso.com

响应

如果成功,此方法在响应正文中返回 响应代码和更新的 200 OK networkIPv4ConfigurationManagementCondition 对象。

示例

请求

下面是一个请求示例。

PATCH https://graph.microsoft.com/beta/deviceManagement/managementConditions/{managementConditionId}
Content-type: application/json
Content-length: 529

{
  "@odata.type": "#microsoft.graph.networkIPv4ConfigurationManagementCondition",
  "uniqueName": "Unique Name value",
  "displayName": "Display Name value",
  "description": "Description value",
  "eTag": "ETag value",
  "applicablePlatforms": [
    "androidForWork"
  ],
  "ipV4Prefix": "Ip V4Prefix value",
  "ipV4Gateway": "Ip V4Gateway value",
  "ipV4DHCPServer": "Ip V4DHCPServer value",
  "ipV4DNSServerList": [
    "Ip V4DNSServer List value"
  ],
  "dnsSuffixList": [
    "Dns Suffix List value"
  ]
}

响应

下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。

HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 697

{
  "@odata.type": "#microsoft.graph.networkIPv4ConfigurationManagementCondition",
  "id": "5e4a8284-8284-5e4a-8482-4a5e84824a5e",
  "uniqueName": "Unique Name value",
  "displayName": "Display Name value",
  "description": "Description value",
  "createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
  "modifiedDateTime": "2017-01-01T00:00:22.8983556-08:00",
  "eTag": "ETag value",
  "applicablePlatforms": [
    "androidForWork"
  ],
  "ipV4Prefix": "Ip V4Prefix value",
  "ipV4Gateway": "Ip V4Gateway value",
  "ipV4DHCPServer": "Ip V4DHCPServer value",
  "ipV4DNSServerList": [
    "Ip V4DNSServer List value"
  ],
  "dnsSuffixList": [
    "Dns Suffix List value"
  ]
}